package cn.ibizlab.assetmanagement.core.apply.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.apply.domain.EAMApply;
/**
 * 关系型数据实体[EAMApply] 查询条件对象
 */
@Slf4j
@Data
public class EAMApplySearchContext extends QueryWrapperContext<EAMApply> {

	private String n_eamapplyname_like;//[维护申请名称]
	public void setN_eamapplyname_like(String n_eamapplyname_like) {
        this.n_eamapplyname_like = n_eamapplyname_like;
        if(!ObjectUtils.isEmpty(this.n_eamapplyname_like)){
            this.getSearchCond().like("eamapplyname", n_eamapplyname_like);
        }
    }
	private String n_eamapplytypeid_eq;//[维护申请类型标识]
	public void setN_eamapplytypeid_eq(String n_eamapplytypeid_eq) {
        this.n_eamapplytypeid_eq = n_eamapplytypeid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamapplytypeid_eq)){
            this.getSearchCond().eq("eamapplytypeid", n_eamapplytypeid_eq);
        }
    }
	private String n_eamlocationid_eq;//[功能位置标识]
	public void setN_eamlocationid_eq(String n_eamlocationid_eq) {
        this.n_eamlocationid_eq = n_eamlocationid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamlocationid_eq)){
            this.getSearchCond().eq("eamlocationid", n_eamlocationid_eq);
        }
    }
	private String n_assetid_eq;//[资产标识]
	public void setN_assetid_eq(String n_assetid_eq) {
        this.n_assetid_eq = n_assetid_eq;
        if(!ObjectUtils.isEmpty(this.n_assetid_eq)){
            this.getSearchCond().eq("assetid", n_assetid_eq);
        }
    }
	private String n_assetname_eq;//[资产]
	public void setN_assetname_eq(String n_assetname_eq) {
        this.n_assetname_eq = n_assetname_eq;
        if(!ObjectUtils.isEmpty(this.n_assetname_eq)){
            this.getSearchCond().eq("assetname", n_assetname_eq);
        }
    }
	private String n_assetname_like;//[资产]
	public void setN_assetname_like(String n_assetname_like) {
        this.n_assetname_like = n_assetname_like;
        if(!ObjectUtils.isEmpty(this.n_assetname_like)){
            this.getSearchCond().like("assetname", n_assetname_like);
        }
    }
	private String n_eamlocationname_eq;//[功能位置]
	public void setN_eamlocationname_eq(String n_eamlocationname_eq) {
        this.n_eamlocationname_eq = n_eamlocationname_eq;
        if(!ObjectUtils.isEmpty(this.n_eamlocationname_eq)){
            this.getSearchCond().eq("eamlocationname", n_eamlocationname_eq);
        }
    }
	private String n_eamlocationname_like;//[功能位置]
	public void setN_eamlocationname_like(String n_eamlocationname_like) {
        this.n_eamlocationname_like = n_eamlocationname_like;
        if(!ObjectUtils.isEmpty(this.n_eamlocationname_like)){
            this.getSearchCond().like("eamlocationname", n_eamlocationname_like);
        }
    }
	private String n_eamapplytypename_eq;//[维护申请类型]
	public void setN_eamapplytypename_eq(String n_eamapplytypename_eq) {
        this.n_eamapplytypename_eq = n_eamapplytypename_eq;
        if(!ObjectUtils.isEmpty(this.n_eamapplytypename_eq)){
            this.getSearchCond().eq("eamapplytypename", n_eamapplytypename_eq);
        }
    }
	private String n_eamapplytypename_like;//[维护申请类型]
	public void setN_eamapplytypename_like(String n_eamapplytypename_like) {
        this.n_eamapplytypename_like = n_eamapplytypename_like;
        if(!ObjectUtils.isEmpty(this.n_eamapplytypename_like)){
            this.getSearchCond().like("eamapplytypename", n_eamapplytypename_like);
        }
    }
	private String n_eamservicelevelid_eq;//[服务等级标识]
	public void setN_eamservicelevelid_eq(String n_eamservicelevelid_eq) {
        this.n_eamservicelevelid_eq = n_eamservicelevelid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamservicelevelid_eq)){
            this.getSearchCond().eq("eamservicelevelid", n_eamservicelevelid_eq);
        }
    }
	private String n_eamservicelevelname_eq;//[服务等级]
	public void setN_eamservicelevelname_eq(String n_eamservicelevelname_eq) {
        this.n_eamservicelevelname_eq = n_eamservicelevelname_eq;
        if(!ObjectUtils.isEmpty(this.n_eamservicelevelname_eq)){
            this.getSearchCond().eq("eamservicelevelname", n_eamservicelevelname_eq);
        }
    }
	private String n_eamservicelevelname_like;//[服务等级]
	public void setN_eamservicelevelname_like(String n_eamservicelevelname_like) {
        this.n_eamservicelevelname_like = n_eamservicelevelname_like;
        if(!ObjectUtils.isEmpty(this.n_eamservicelevelname_like)){
            this.getSearchCond().like("eamservicelevelname", n_eamservicelevelname_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("eamapplyname", query)   
            );
		 }
	}
}



